Page MenuHomePhabricator

[Migrated] Remove stub templates from redirect pages
Closed, DeclinedPublic

Description

Remove stub templates from redirect pages, per the request at https://en.wikipedia.org/wiki/Wikipedia:Bot_requests#Stubbed redirects in Category:Main Belt asteroid stubs. @GoingBatty 01:50, 26 March 2015 (UTC)

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to Feature request (unsorted) on the AutoWikiBrowser board.

Stub removed. We do not expect any text in redirects anyway. This was a rare situation.

Magioladitis triaged this task as Lowest priority.Jul 7 2015, 2:08 PM
Magioladitis set Security to None.

There is another problem: Large text in a REDIRECT might mean that someone confused REDIRECT with {{redirect}} or something else.

@GoingBatty is there a rule that REDIRECT's should not be tagged with stub tags?

Sept 2015 dump scan: 650 pages with #Redirect....stub including every possible false positive.

@Magioladitis - https://en.wikipedia.org/wiki/Wikipedia:Stub#Basic_information states "Non-article pages, such as disambiguation pages, lists, categories, templates, talk pages, and redirects, are not regarded as stubs."

@Magioladitis - BattyBot cleaned up "less than 500 redirects with stub templates" in March 2015. I searched the Sep 2015 dump for #REDIRECT\s*\[\[.+\]\].+{{[\w\d-]+stubs?}} and didn't find any.

@GoingBatty Check your regex (and/or enable redirects search)

There are many:

https://en.wikipedia.org/w/index.php?title=XHEXT-TDT&redirect=no

@Magioladitis - Correction - When I searched the Sep 2015 dump with the Singleline box checked and the Ignore redirects box unchecked (as you suggested), the regex above found 70 results. (I also had the Ignore comments box intentionally checked.) BattyBot is fixing these now.

The regex only looks for stub templates - need another one for stub categories.

@GoingBatty Using the settings I gave above I found 115 matches in the 60% of the dump...

Your screen shot above shows you're using the July dump, not the September dump. Looking at the last few items in the list you posted on my talk page, [[SET Max]] and [[Rogatian]] had the stub templates removed in July 2015 and [[Adrian Flannelly]] had the REDIRECT removed in July 2015.

@GoingBatty since now we fixed the bug that caused stub tags outside the comments, maybe this FR is about very few pages?

@Magioladitis - Now that the bug is fixed and my bot has cleaned up as many as I could find, I agree that this FR is should now be about very few pages.

Magioladitis closed this task as Declined.Sep 14 2015, 2:02 PM
Magioladitis claimed this task.

Very rare. Usually implies a more major problem hidden in the page.